/** Shopify CDN: Minification failed

Line 463:0 Expected "}" to go with "{"

**/
.search-popup {
    --popups-transition-duration: var(--search-popup-transition-duration);
    --input-padding-top: 8rem;
    --input-padding-bottom: 4rem;
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    height: calc(var(--window-height, 100vh) - var(--preview-bar-iframe-height));
    pointer-events: none;
}

@media screen and (max-width: 1024px) {
    .search-popup {
        justify-content: flex-end;
    }

    .search-popup.popup-module--open {
        --animation-open-name: none;
        --animation-content-open-name: animateSearchPopupOpenMobile forwards;
        --animation-close-name: none;
        --animation-content-close-name: animateSearchPopupCloseMobile;
    }
}

@media screen and (min-width: 1025px) {
    .search-popup {
        align-items: flex-start;
    }

    .search-popup.popup-module--open {
        --animation-open-name: none;
        --animation-content-open-name: animateSearchPopupOpen;
        --animation-close-name: none;
        --animation-content-close-name: animateSearchPopupClose;
    }
}

@media screen and (min-width: 1025px) {
    .search-popup {
        --input-padding-top: 10rem;
        --input-padding-bottom: 10rem;
    }
}

.search-popup__body {
    position: relative;
    display: flex;
    flex-direction: column;
    width: var(--mobile-drawer-width);
    max-height: 100%;
    max-width: 100%;
    pointer-events: all;
}

@media screen and (max-width: 1024px) {
    .search-popup__body {
        background-color: rgb(var(--color-background));
        transform: translateX(100%);
    }
}

@media screen and (min-width: 577px) {
    .search-popup__body {
        width: 50%;
        min-width: var(--mobile-drawer-width);
    }
}

@media screen and (min-width: 1025px) {
    .search-popup__body {
        min-width: 100%;
        width: 100%;
    }
}

.search-popup__content {
    display: flex;
    flex-direction: column;
    background-color: rgb(var(--color-background));
    max-height: 100%;
    overflow: hidden;
}

.search-popup__content:focus-visible {
    outline: none;
    box-shadow: none;
}

.search-popup__content-inner {
    position: relative;
}

.search-popup__close {
    display: flex;
    position: sticky;
    top: 0;
    right: 0;
    cursor: pointer;
    z-index: 1;
}

.search-popup__close-button {
    --button-size: 4rem;
    margin-bottom: 0.5rem;
    margin-left: auto;
    background-color: rgba(var(--color-background), 0.8);
}

@media screen and (min-width: 1025px) {
    .search-popup__close-button {
        --button-offset: 6rem;
    }
}

.search-popup__input {
    padding: var(--input-padding-top) 0 var(--input-padding-bottom);
}

.search-popup__container {
    max-height: 100%;
    width: 100%;
    display: flex;
    flex-direction: column;
}

.search-popup .rte * {
    margin: 0;
}

@media screen and (min-width: 1025px) {
    .search-popup__inner-container {
}

.search-popup__dropdown {
    margin-top: calc(var(--input-padding-bottom) / 2 * -1);
    padding: calc(var(--input-padding-bottom) / 2) 0 var(--input-padding-bottom);
    overflow: hidden;
}

.search-popup__static {
    display: flex;
    flex-direction: column;
    gap: 4rem;
}

.search-popup__static .button {
    --color-button: var(--icon-bg-color);
    --color-button-text: var(--icon-text-color);
}

predictive-search:is([open], [loading]) .search-popup__static {
    display: none;
}

@media screen and (min-width: 1025px) {
    .search-popup__static {
        gap: 6rem;
    }
}

.search-popup__heading {
    margin: 0 0 3rem;
}

.search-popup__collections .row {
    row-gap: 1.5rem;
}

@media screen and (min-width: 1025px) {
    .search-popup__collections .row {
        justify-content: center;
        row-gap: 3rem;
    }
}

.search-popup__collection {
    --text-color: var(--clr-headings);
    --text-hover-color: var(--clr-theme-accent);
    --icon-bg-color: var(--clr-theme-accent);
    --icon-text-color: var(--clr-theme-accent-contrast);
    position: relative;
    display: flex;
    gap: 1rem;
}

@media screen and (max-width: 1024px) {
    .search-popup__collection {
        position: relative;
        align-items: center;
    }

    a.search-popup__collection:hover::before {
        content: '';
        display: block;
        position: absolute;
        top: -0.8rem;
        bottom: -0.8rem;
        left: calc(var(--page-offset-x) * -1);
        right: calc(var(--page-offset-x) * -1);
        background: rgba(var(--clr-theme-base), 0.03);
    }

    .search-popup__collection .link-underlined {
        box-shadow: none;
    }
}

@media screen and (min-width: 1025px) {
    .search-popup__collection {
        display: flex;
        flex-direction: column;
        gap: 1.5rem;
    }
}

.search-popup__collection-image {
    position: relative;
    overflow: hidden;
}

.search-popup__admin-target--shop-item {
    position: absolute;
    inset: 0;
    z-index: 4;
    pointer-events: none;
}

@media screen and (max-width: 1024px) {
    .search-popup__collection-image {
        width: 8rem;
        flex-shrink: 0;
    }
}

.search-popup__collection-icon {
    position: absolute;
    left: 50%;
    transform: translate(-50%, 0);
    top: 100%;
}

.search-popup__collection-title,
.search-popup__collection-title *,
.search-popup__banner-title,
.search-popup__banner-title * {
    color: rgb(var(--text-color));
}

.search-popup__collection-title > span > * {
    margin: 0;
}

.search-popup__banner {
    --text-color: var(--clr-headings);
    --text-hover-color: var(--clr-theme-accent);
    --icon-bg-color: var(--clr-headings);
    --icon-text-color: var(--clr-headings-contrast);
    --banner-offset: 1.5rem;
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    min-height: 100%;
    text-decoration: none;
}

.search-popup__banner-image:not(.search-popup__banner-image--stretch) .placeholder {
    padding-bottom: 14.91228070175439%;
}

@media screen and (min-width: 1025px) {
    .search-popup__banner-image:not(.search-popup__banner-image--stretch) .placeholder {
        padding-bottom: 18.57142857142857%;
    }
}

.search-popup__banner-image--stretch,
.search-popup__banner-image:not(.search-popup__banner-image--stretch) + .search-popup__banner-content {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
}

.search-popup__banner-image .media {
    min-height: 100%;
}

.search-popup__banner-content {
    position: relative;
    padding: var(--banner-offset);
    display: flex;
    align-items: center;
    overflow: hidden;
    z-index: 1;
}

.search-popup__banner-icon ~ .search-popup__banner-title {
    margin-right: 3.5rem;
}

@media screen and (min-width: 1025px) {
    .search-popup__banner-icon ~ .search-popup__banner-title {
        margin-right: 5.5rem;
    }

    .search-popup__banner-content {
        --banner-offset: 3.5rem;
    }
}

.search-popup__banner-icon {
    position: absolute;
    right: var(--banner-offset);
    top: 100%;
}

.search-popup .predictive-search {
    position: static;
    padding: 0;
    width: 100%;
    max-width: 100%;
}

@media screen and (max-width: 1024px) {
    .search-popup__input,
  .search-popup__dropdown {
        padding-left: var(--page-offset-x);
        padding-right: var(--page-offset-x);
    }

    .search-popup .predictive-search {
        width: calc(100% + var(--page-offset-x) * 2);
        max-width: initial;
        margin: 0 calc(var(--page-offset-x) * -1);
    }
}

@media (hover: none) and (pointer: coarse) {
    .search-popup__content-inner {
        max-height: 100%;
    }

    .search-popup__dropdown {
        overflow-y: auto;
    }
}

@media screen and (max-width: 1024px) {
    a.search-popup__banner .search-popup__banner-icon {
        top: 50%;
        transform: translateY(-50%);
    }

    .search-popup__banner-icon .button {
        --buttons-min-width: 2rem;
        --buttons-min-height: var(--buttons-min-width);
    }
}

@media screen and (hover: hover) and (pointer: fine) and (min-width: 1025px) {
    a.search-popup__collection:hover .search-popup__collection-icon {
        top: 50%;
        transform: translate(-50%, -50%);
    }

    a.search-popup__collection.search-popup__collection--admin-hover .search-popup__collection-icon {
        top: 50%;
        transform: translate(-50%, -50%);
    }

    a.search-popup__banner:hover .search-popup__banner-icon {
        top: 50%;
        transform: translateY(-50%);
    }
}

@media (hover: hover) and (pointer: fine) {
    .search-popup__content {
        overflow-y: auto;
    }

    :is(
    .search-popup__collection-icon, 
    .search-popup__banner-icon, 
    .search-popup__collection-title *, 
    .search-popup__banner-title
  ) {
        transition: var(--buttons-transition-duration) var(--buttons-transition-timing);
    }

    :is(.search-popup__collection-icon, .search-popup__banner-icon) {
        transition-property: top, transform;
    }

    .search-popup__collection-title * {
        transition-property: color;
    }

    .search-popup__banner-title {
        transition-property: transform;
    }

    a.search-popup__banner:hover .search-popup__banner-title {
        transform: translateX(1rem);
    }

    a.search-popup__collection:hover .search-popup__collection-title * {
        color: rgb(var(--text-hover-color));
    }

    a.search-popup__collection.search-popup__collection--admin-hover .search-popup__collection-title * {
        color: rgb(var(--text-hover-color));
    }
}

@keyframes animateSearchPopupOpenMobile {
    0% {
        transform: translateX(100%);
    }

    100% {
        transform: translateX(0);
    }
}

@keyframes animateSearchPopupCloseMobile {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(100%);
    }
}

@keyframes animateSearchPopupOpen {
    0% {
        transform: translateY(-100%);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes animateSearchPopupClose {
    0% {
        transform: translateY(0);
    }

    100% {
        transform: translateY(-100%);
    }
}
